Insights
Generate insights
Generates an insights report from the provided evaluation configuration.
헤더 매개 변수
Foundry-Features
enum
A feature flag opt-in required when using preview operations or modifying persisted preview resources.
Repeatability-Request-ID
string
Unique, client-generated identifier for ensuring request idempotency. Use the same ID for retries to prevent duplicate evaluations.
Repeatability-First-Sent
string
Timestamp indicating when this request was first initiated. Used in conjunction with repeatability-request-id for idempotency control.
쿼리 매개 변수
api-version
string
필수
The API version to use for this operation.
요청 본문
Complete evaluation configuration including data source, evaluators, and result settings
id
string
필수
The unique identifier for the insights report.
metadata
InsightsMetadata
필수
Metadata about the insights.
createdAt
string
필수
The timestamp when the insights were created.
completedAt
string
The timestamp when the insights were completed.
state
enum | string
필수
Enum describing allowed operation states.
enum
displayName
string
필수
User friendly display name for the insight.
request
EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison
필수
The request of the insights report.
EvaluationRunClusterInsight
EvaluationRunClusterInsightRequest
Insights on set of Evaluation Results
type
enum
필수
The type of insights request.
evalId
string
필수
Evaluation Id for the insights.
runIds
string[]
필수
List of evaluation run IDs for the insights.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
필수
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
AgentClusterInsight
AgentClusterInsightRequest
Insights on set of Agent Evaluation Results
type
enum
필수
The type of request.
agentName
string
필수
Identifier for the agent.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
필수
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
EvaluationComparison
EvaluationComparisonInsightRequest
Evaluation Comparison Request
type
enum
필수
The type of request.
evalId
string
필수
Identifier for the evaluation.
baselineRunId
string
필수
The baseline run ID for comparison.
treatmentRunIds
string[]
필수
List of treatment run IDs for comparison.
result
EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight
The result of the insights.
EvaluationComparison
EvaluationComparisonInsightResult
Insights from the evaluation comparison.
type
enum
필수
The type of insights result.
comparisons
EvalRunResultComparison[]
필수
Comparison results for each treatment run against the baseline.
method
string
필수
The statistical method used for comparison.
EvaluationRunClusterInsight
EvaluationRunClusterInsightResult
Insights from the evaluation run cluster analysis.
type
enum
필수
The type of insights result.
clusterInsight
ClusterInsightResult
필수
Insights from the cluster analysis.
summary
InsightSummary
필수
Summary of the error cluster analysis.
sampleCount
integer
필수
Total number of samples analyzed.
uniqueSubclusterCount
integer
필수
Total number of unique subcluster labels.
uniqueClusterCount
integer
필수
Total number of unique clusters.
method
string
필수
Method used for clustering.
usage
ClusterTokenUsage
필수
Token usage for cluster analysis
inputTokenUsage
integer
필수
input token usage
outputTokenUsage
integer
필수
output token usage
totalTokenUsage
integer
필수
total token usage
clusters
InsightCluster[]
필수
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
필수
X-axis coordinate.
y
integer
필수
Y-axis coordinate.
size
integer
필수
Size of the chart element.
AgentClusterInsight
AgentClusterInsightResult
Insights from the agent cluster analysis.
type
enum
필수
The type of insights result.
clusterInsight
ClusterInsightResult
필수
Insights from the cluster analysis.
summary
InsightSummary
필수
Summary of the error cluster analysis.
sampleCount
integer
필수
Total number of samples analyzed.
uniqueSubclusterCount
integer
필수
Total number of unique subcluster labels.
uniqueClusterCount
integer
필수
Total number of unique clusters.
method
string
필수
Method used for clustering.
usage
ClusterTokenUsage
필수
Token usage for cluster analysis
inputTokenUsage
integer
필수
input token usage
outputTokenUsage
integer
필수
output token usage
totalTokenUsage
integer
필수
total token usage
clusters
InsightCluster[]
필수
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
필수
X-axis coordinate.
y
integer
필수
Y-axis coordinate.
size
integer
필수
Size of the chart element.
응답
The request has succeeded and a new resource has been created as a result.
본문
id
string
필수
The unique identifier for the insights report.
metadata
InsightsMetadata
필수
Metadata about the insights.
createdAt
string
필수
The timestamp when the insights were created.
completedAt
string
The timestamp when the insights were completed.
state
enum | string
필수
Enum describing allowed operation states.
enum
displayName
string
필수
User friendly display name for the insight.
request
EvaluationRunClusterInsight | AgentClusterInsight | EvaluationComparison
필수
The request of the insights report.
EvaluationRunClusterInsight
EvaluationRunClusterInsightRequest
Insights on set of Evaluation Results
type
enum
필수
The type of insights request.
evalId
string
필수
Evaluation Id for the insights.
runIds
string[]
필수
List of evaluation run IDs for the insights.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
필수
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
AgentClusterInsight
AgentClusterInsightRequest
Insights on set of Agent Evaluation Results
type
enum
필수
The type of request.
agentName
string
필수
Identifier for the agent.
modelConfiguration
InsightModelConfiguration
Configuration of the model used in the insight generation.
modelDeploymentName
string
필수
The model deployment to be evaluated. Accepts either the deployment name alone or with the connection name as '{connectionName}/<modelDeploymentName>'.
EvaluationComparison
EvaluationComparisonInsightRequest
Evaluation Comparison Request
type
enum
필수
The type of request.
evalId
string
필수
Identifier for the evaluation.
baselineRunId
string
필수
The baseline run ID for comparison.
treatmentRunIds
string[]
필수
List of treatment run IDs for comparison.
result
EvaluationComparison | EvaluationRunClusterInsight | AgentClusterInsight
The result of the insights.
EvaluationComparison
EvaluationComparisonInsightResult
Insights from the evaluation comparison.
type
enum
필수
The type of insights result.
comparisons
EvalRunResultComparison[]
필수
Comparison results for each treatment run against the baseline.
method
string
필수
The statistical method used for comparison.
EvaluationRunClusterInsight
EvaluationRunClusterInsightResult
Insights from the evaluation run cluster analysis.
type
enum
필수
The type of insights result.
clusterInsight
ClusterInsightResult
필수
Insights from the cluster analysis.
summary
InsightSummary
필수
Summary of the error cluster analysis.
sampleCount
integer
필수
Total number of samples analyzed.
uniqueSubclusterCount
integer
필수
Total number of unique subcluster labels.
uniqueClusterCount
integer
필수
Total number of unique clusters.
method
string
필수
Method used for clustering.
usage
ClusterTokenUsage
필수
Token usage for cluster analysis
inputTokenUsage
integer
필수
input token usage
outputTokenUsage
integer
필수
output token usage
totalTokenUsage
integer
필수
total token usage
clusters
InsightCluster[]
필수
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
필수
X-axis coordinate.
y
integer
필수
Y-axis coordinate.
size
integer
필수
Size of the chart element.
AgentClusterInsight
AgentClusterInsightResult
Insights from the agent cluster analysis.
type
enum
필수
The type of insights result.
clusterInsight
ClusterInsightResult
필수
Insights from the cluster analysis.
summary
InsightSummary
필수
Summary of the error cluster analysis.
sampleCount
integer
필수
Total number of samples analyzed.
uniqueSubclusterCount
integer
필수
Total number of unique subcluster labels.
uniqueClusterCount
integer
필수
Total number of unique clusters.
method
string
필수
Method used for clustering.
usage
ClusterTokenUsage
필수
Token usage for cluster analysis
inputTokenUsage
integer
필수
input token usage
outputTokenUsage
integer
필수
output token usage
totalTokenUsage
integer
필수
total token usage
clusters
InsightCluster[]
필수
List of clusters identified in the insights.
coordinates
object
Optional mapping of IDs to 2D coordinates used by the UX for visualization. The map keys are string identifiers (for example, a cluster id or a sample id) and the values are the coordinates and visual size for rendering on a 2D chart. This property is omitted unless the client requests coordinates (for example, by passing includeCoordinates=true as a query parameter). Example: { "cluster-1": { "x": 12, "y": 34, "size": 8 }, "sample-123": { "x": 18, "y": 22, "size": 4 } } Coordinates are intended only for client-side visualization and do not modify the canonical insights results.
[key: string]
ChartCoordinate
Coordinates for the analysis chart.
x
integer
필수
X-axis coordinate.
y
integer
필수
Y-axis coordinate.
size
integer
필수
Size of the chart element.
요청
POST /insights HTTP/1.1
응답
Status: 201
Content-Type: application/json
Status: 4XX
Content-Type: application/json
Status: 5XX
Content-Type: application/json